id: cleo-detect

info:
  name: Cleo Technology - Detect
  author: rxerium
  severity: info
  description: |
    This template detects Cleo technologies, including VLTrader, Harmony, and LexiCom, by inspecting response headers.It also extracts version information for each identified technology.
  reference:
    - https://www.cleo.com
  metadata:
    max-request: 1
    verified: true
    shodan-query: 'Server: Cleo'
  tags: tech,detect,cleo

http:
  - method: GET
    path:
      - '{{BaseURL}}'

    host-redirects: true
    max-redirects: 2

    matchers:
      - type: word
        part: server
        words:
          - "Cleo VLTrader"
          - "Cleo Harmony"
          - "Cleo LexiCom"
        condition: or

    extractors:
      - type: regex
        part: server
        regex:
          - "Cleo VLTrader/([0-9.]+)"
          - "Cleo Harmony/([0-9.]+)"
          - "Cleo LexiCom/([0-9.]+)"
# digest: 4a0a00473045022027556ea2cfdf2f7a6be6b74c831a00ebaeea0c02ef90f344952bf8af14412af4022100ac8fce1c26682cfa94da5df728e5b9bcfe4e6df999aacadb87ef592e517c6521:922c64590222798bb761d5b6d8e72950